<template>
  <div class="sewers-search">
    <div class="el-message-box__header panel_header">
      <div class="el-message-box__title panel_title"><!----><span>{{ title }}</span>
      </div>
    </div>
    <div class="el-message-box__content" style="padding:6px;font-size: 13px;">
      <div class="box__content" v-if="gdVisible">
        <div>
          <el-card class="search-panel">
            <el-form ref="form" :model="form" label-width="90px" class="search-form">
              <el-form-item label="设施类型：" size="mini" class="search-panel-item">
                <el-select v-model="form.pipelineType" @change="handlePipelineType"  popper-class="select-down">
                  <el-option
                      v-for="item in pipelineTypeOptions"
                      :key="item.value"
                      :label="item.label"
                      :value="item.value">
                  </el-option>
                </el-select>
              </el-form-item>
              <el-form-item :label="form.pipelineType+'：'" size="mini">
                <el-select v-model="form.dataType"  @change="handleDataType" popper-class="select-down">
                  <el-option
                      v-for="item in dataTypeOptions"
                      :key="item.value"
                      :label="item.label"
                      :value="item.value">
                  </el-option>
                </el-select>
              </el-form-item>
<!--              <el-form-item >-->
                <el-input v-model="form.key" size="mini"
                          placeholder="在此输入关键字搜索">
<!--                  <el-button slot="append" icon="el-icon-search" size="mini"></el-button>-->
<!--                  <i slot="prefix" class="el-input__icon el-icon-search"></i>-->
                  <i slot="suffix" class="search-btn el-input__icon el-icon-search" @click="handleSearch"></i>
                </el-input>
<!--              </el-form-item>-->
<!--              <el-form-item>-->
<!--                <input type="button" class="btn-ok" @click="handleSearch" value="查询">-->
<!--                <input type="button" class="btn-reset" @click="handleSearch" value="重置">-->
<!--              </el-form-item>-->
            </el-form>
          </el-card>
          <el-card class="search-result" style="height:271px;">
            <div class="B-TMD-table-list" v-for="(item,index) in list" :key="index">
              <div class="B-TMD-table-list-title">
                <div class="B-TMD-table-list-head">
                  <div class="B-TMD-table-list-title-y"
                       :class="['B-TMD-table-list-title-y-nam', { 'warning': item.vehicleStatus==='910003' }, { 'offline': item.vehicleStatus==='910001' }]">
                    <span>运单号：</span>
                    <span id="waybillNumber" class="B-TMD-table-list-title-y-num"
                          :title="item.transNo">
                                                <span class="B-TMD-table-list-title-y-alarm">{{ item.transNo }}</span>
                                            </span>
                  </div>
                  <div class="B-TMD-table-list-title-c">
                    载具号：
                    <span id="plateNumber_p">
                                                <span id="plateNumber_n"><a href="#">{{ item.vehicleNo }}</a></span>
                                            </span>
                  </div>
                </div>
                <div class="B-TMD-table-icons" style="float:right">
                  <ul>
                    <li class="B-TMD-table-list-title-y-adress"
                        @click="handleLocation(item)"></li>
                    <li :class="[{'B-TMD-table-list-title-y-car': item.vehicleStatus ==='910002', 'B-TMD-table-list-title-y-car-offline': item.vehicleStatus ==='910001','B-TMD-table-list-title-y-car-warning': item.vehicleStatus==='910003' }]"></li>
                  </ul>
                </div>
              </div>
              <div class="B-TMD-table-list-content">
                <div>
                  <span>发货企业：</span>
                  <span id="b_twe_consignment" :title="item.outWarehouseName">{{
                      item.outWarehouseName == null ? "暂无" : item.outWarehouseName
                    }}</span>
                </div>
                <div>
                  <span>承&nbsp;&nbsp;运&nbsp;&nbsp;商：</span>
                  <span id="b_twe_loan" :title="item.carrierName">{{ item.carrierName }}</span>
                </div>
                <div><span>收货企业：</span> <span
                    id="b_twe_loan1" :title="item.recvWarehouseName">{{ item.recvWarehouseName }}</span>
                </div>
              </div>
              <div class="B-TMD-table-list-bottom">
                <div class="B-TMD-table-list-bottom-name">
                  货物名称：<span :title="item.materialName">{{ item.materialName }}</span></div>
              </div>
            </div>
          </el-card>

          <el-card class="footer-page" v-if="total > 10">
            <el-pagination
                small
                @current-change="handlePage"
                :page-size=pageSize
                layout="prev, pager, next"
                :total=total
                :current-page=current
                class="warnPagination"
            >
            </el-pagination>
          </el-card>
        </div>
      </div>
      <!--        <div class="monitor2" v-if="hbVisible">-->
      <!--          <env-protect-search></env-protect-search>-->
      <!--        </div>-->
      <!--        <div class="monitor2" v-if="pkVisible">-->
      <!--          <discharge-search></discharge-search>-->
      <!--        </div>-->
    </div>
  </div>

</template>

<script>
import { PipelineTypeOptions, OutletOptions, AttachOptions, PipelineOptions, EnvironmentOptions, SurroundingsOptions } from '@/conf/LayerSewers'

export default {
  name: 'SewersSearch',
  data () {
    return {
      gdVisible: true,
      list: [],
      total: 0,
      pipelineTypeOptions: PipelineTypeOptions,
      outletOptions: OutletOptions,
      dataTypeOptions: PipelineTypeOptions,

      attachOptions: AttachOptions,
      pipelineOptions: PipelineOptions,
      environmentOptions: EnvironmentOptions,
      surroundingsOptions: SurroundingsOptions,
      form: {

        pipelineType: PipelineTypeOptions[0].label,
        dataType: PipelineOptions[0].label,
        // transNo: null,
        // carrierName: null,
        // transMode: null,
        // vehicleNo: null,
        // orderState: null,
        size: 10,
        current: 1
      },
      pageSize: 10,
      current: 1,
      isWaybillHover: true,
      isRouteHover: false
    }
  },
  props: ['title'],
  methods: {
    handlePipelineType (item) {
      console.log(item)
      if (item === '2') {
        this.dataTypeOptions = this.outletOptions
      } else if (item === '1') {
        this.dataTypeOptions = this.pipelineOptions
      } else if (item === '3') {
        this.dataTypeOptions = this.attachOptions
      } else if (item === '4') {
        this.dataTypeOptions = this.environmentOptions
      } else if (item === '5') {
        this.dataTypeOptions = this.surroundingsOptions
      }
      this.form.pipelineType = this.pipelineTypeOptions[item - 1].label
      this.form.dataType = this.dataTypeOptions[0].label
    },
    handleDataType (item) {

    },
    handleSearch () {
      const param = {
        pipelineType: this.form.pipelineType,
        dataType: this.form.dataType
      }
      console.log(param)
    }
  }
}
</script>

<style lang="less">
@import '@assets/css/map/map-elem-ui';
</style>
